package cn.com.qmth.examcloud.core.oe.student.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamRecordDataEntity;

/**
 * @Description 考试记录
 * @Author lideyin
 * @Date 2019/12/9 18:00
 * @Version 1.0
 */
@Repository
public interface ExamRecordDataRepo extends JpaRepository<ExamRecordDataEntity, Long>, JpaSpecificationExecutor<ExamRecordDataEntity> {
    @Query(value = "select *  from ec_oes_exam_record_data where batch_num!=?1 and id>?2 order by id limit ?3",nativeQuery = true)
    List<ExamRecordDataEntity> getLimitExamRecordDataList(Long batchNum, Long startId, Integer size);
    
    @Modifying
    @Query(value = "update ec_oes_exam_record_data set batch_num=?1 where id=?2", nativeQuery = true)
    int updateBatchNumById(Long batchNum, Long id);
}